## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# trust-dns-{client,server} not available
# using vendored deps

%global with_debug 1

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

Name: aardvark-dns
%if %{defined copr_username}
Epoch: 102
%else
Epoch: 2
%endif
# DO NOT TOUCH the Version string!
# The TRUE source of this specfile is:
# https://github.com/containers/podman/blob/main/rpm/podman.spec
# If that's what you're reading, Version must be 0, and will be updated by Packit for
# copr and koji builds.
# If you're reading this on dist-git, the version is automatically filled in by Packit.
Version: 1.13.1
# The `AND` needs to be uppercase in the License for SPDX compatibility
License: Apache-2.0 AND MIT AND Zlib
Release: %autorelease
%if %{defined golang_arches_future}
ExclusiveArch: %{golang_arches_future}
%else
ExclusiveArch: aarch64 ppc64le s390x x86_64
%endif
Summary: Authoritative DNS server for A/AAAA container records
URL: https://github.com/containers/%{name}
# Tarballs fetched from upstream's release page
Source0: %{url}/archive/v%{version}.tar.gz
Source1: %{url}/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz
BuildRequires: cargo
BuildRequires: git-core
BuildRequires: make
%if %{defined rhel}
# rust-toolset requires the `local` repo enabled on non-koji ELN build environments
BuildRequires: rust-toolset
%else
BuildRequires: rust-packaging
BuildRequires: rust-srpm-macros
%endif

%description
%{summary}

Forwards other request to configured resolvers.
Read more about configuration in `src/backend/mod.rs`.

%prep
%autosetup -Sgit %{name}-%{version}
# Following steps are only required on environments like koji which have no
# network access and thus depend on the vendored tarball. Copr pulls
# dependencies directly from the network.
%if !%{defined copr_username}
tar fx %{SOURCE1}
%if 0%{?fedora} || 0%{?rhel} >= 10
%cargo_prep -v vendor
%else
%cargo_prep -V 1
%endif
%endif

%build
%{__make} CARGO="%{__cargo}" build
%if (0%{?fedora} || 0%{?rhel} >= 10) && !%{defined copr_username}
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%cargo_vendor_manifest
%endif

%install
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install

%files
%license LICENSE
%if (0%{?fedora} || 0%{?rhel} >= 10) && !%{defined copr_username}
%license LICENSE.dependencies
%license cargo-vendor.txt
%endif
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}

%changelog
## START: Generated by rpmautospec
* Wed Nov 06 2024 Packit <hello@packit.dev> - 2:1.13.1-1
- Update to 1.13.1 upstream release

* Mon Nov 04 2024 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:1.13.0-2
- fix tmt tests downstream

* Tue Oct 29 2024 Packit <hello@packit.dev> - 2:1.13.0-1
- Update to 1.13.0 upstream release

* Thu Sep 05 2024 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:1.12.2-2
- install builddeps for tmt tests

* Wed Sep 04 2024 Packit <hello@packit.dev> - 2:1.12.2-1
- Update to 1.12.2 upstream release

* Fri Aug 02 2024 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2:1.12.1-1
- bump to v1.12.1

* Fri Jul 26 2024 Lokesh Mandvekar <lsm5@redhat.com> - 2:1.11.0-3
- rebuild

* Fri Jul 26 2024 Lokesh Mandvekar <lsm5@redhat.com> - 2:1.11.0-2
- rebuild

* Fri Jul 26 2024 Lokesh Mandvekar <lsm5@redhat.com> - 2:1.11.0-1
- epoch: 2 on non-copr

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 Packit <hello@packit.dev> - 1.11.0-1
- Update to 1.11.0 upstream release

* Wed Jan 24 2024 Packit <hello@packit.dev> - 1.10.0-1
- [packit] 1.10.0 upstream release

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 27 2023 Packit <hello@packit.dev> - 1.9.0-1
- [packit] 1.9.0 upstream release

* Wed Sep 27 2023 Packit <hello@packit.dev> - 1.8.0-1
- [packit] 1.8.0 upstream release

* Tue Aug 22 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.7.0-3
- spdx compatible license field

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Packit <hello@packit.dev> - 1.7.0-1
- [packit] 1.7.0 upstream release

* Wed Apr 12 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6.0-1
- bump to v1.6.0

* Mon Mar 06 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5.0-6
- exclusivearch: golang_arches_future

* Mon Mar 06 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5.0-5
- migrated to SPDX license

* Wed Feb 08 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5.0-4
- Discontinue i686

* Tue Feb 07 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5.0-3
- BR: rust-packaging

* Tue Feb 07 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5.0-2
- Enable debuginfo

* Thu Feb 02 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5.0-1
- bump to v1.5.0

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> - 1.4.0-1
- auto bump to v1.4.0

* Tue Nov 15 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> - 1.3.0-1
- auto bump to v1.3.0

* Fri Oct 21 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.2.0-6
- rebuild

* Fri Oct 07 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.2.0-5
- Revert "auto bump to v1.2.0"

* Fri Oct 07 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> - 1.2.0-4
- auto bump to v1.2.0

* Tue Oct 04 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.2.0-3
- adjust macros to get correct version

* Tue Oct 04 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.2.0-2
- get rid of debbuild to comply with fedora guidelines

* Tue Sep 27 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> - 1.2.0-1
- auto bump to v1.2.0

* Wed Aug 17 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.1.0-3
- use easier tag macros to make both fedora and debbuild happy

* Tue Aug 16 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.1.0-2
- Fix debbuild maintainer issue

* Thu Jul 28 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> - 1.1.0-1
- auto bump to v1.1.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri May 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.3-2
- build dep packages using debbuild

* Fri May 06 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.3-1
- bump to v1.0.3

* Wed Mar 23 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.2-1
- bump to v1.0.2

* Fri Feb 25 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-2
- upload tarballs to lookaside cache

* Fri Feb 25 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-1
- bump to v1.0.1
- packaging changes to account for upstream separation of vendor dir
- reuse upstream provided vendor dir

* Wed Feb 16 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-1
- bump to v1.0.0

* Thu Feb 10 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0~rc2-1
- bump to v1.0.0-rc2

* Thu Feb 03 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0~rc1-2
- upload source to lookaside cache

* Thu Feb 03 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0~rc1-1
- bump to v1.0.0-rc1

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-1
- Resolves: #2043581 - initial build
## END: Generated by rpmautospec
